### Method

# Vte Terminal get_current_directory_uri

deprecated: 0.78

#### Declaration [src]

    const char*
    vte_terminal_get_current_directory_uri (
      VteTerminal* terminal
    )

#### Description

No description available.

Deprecated since: 0.78

Use the `VTE_TERMPROP_CURRENT_FILE_URI_STRING` termprop.

Gets property | `Vte.Terminal:current-directory-uri`

#### Return value

Type: `const char*`

The URI of the current directory of the process running in the terminal, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.